import { Box, makeStyles } from '@material-ui/core';
import React from 'react';
import Footer from '../components/Footer';
import Header from '../components/Header';

const useStyles = makeStyles((theme) => ({
  root: {
    display: 'flex',
    flexDirection: 'column',
    minHeight: '100vh',
    background: theme.palette.background.default,
  },
}));

const Page: React.FC = ({ children }) => {
  const classes = useStyles();

  return (
    <Box className={classes.root}>
      <Header />
      <Box flexGrow={1} flexShrink={0} flexBasis="auto">
        {children}
      </Box>
      <Footer />
    </Box>
  );
};

export default Page;
